<?php

if ( ! function_exists( 'moral_magazine_lite_enqueue_styles' ) ) :

	function moral_magazine_lite_enqueue_styles() {
		wp_enqueue_style( 'moral-magazine-lite-style-parent', get_template_directory_uri() . '/style.css' );

		wp_enqueue_style( 'moral-magazine-lite-style', get_stylesheet_directory_uri() . '/style.css', array( 'moral-magazine-lite-style-parent' ), '1.0.0' );

		wp_enqueue_style( 'moral-magazine-lite-fonts', moral_magazine_lite_fonts_url(), array(), null );

	}

endif;

add_action( 'wp_enqueue_scripts', 'moral_magazine_lite_enqueue_styles', 999 );


function moral_magazine_lite_fonts_url() {
	$fonts_url = '';

	$font_families = array();

	$playfair_display = _x( 'on', 'Playfair Display font: on or off', 'moral-magazine-lite' );

	if ( 'off' !== $playfair_display ) {
		$font_families[] = 'Playfair Display:400,500,600';
	}

	$lato = _x( 'on', 'Lato Display font: on or off', 'moral-magazine-lite' );

	if ( 'off' !== $lato ) {
		$font_families[] = 'Lato Display:300,400,700';
	}

	$query_args = array(
		'family' => urlencode( implode( '|', $font_families ) ),
		'subset' => urlencode( 'latin,latin-ext' ),
	);

	$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );

	return esc_url_raw( $fonts_url );
}

function moral_magazine_lite_body_classes( $classes ) {

	$classes[] = 'lite-version';
	$classes[] = 'second-design';
	

	return $classes;
}
add_filter( 'body_class', 'moral_magazine_lite_body_classes' );

